Subject: Re: 2.6.24 regression: reference count leak in PPPoE

From: Daniel Lezcano <[email-masked]>
Date: Sun, 20 Jan 2008 21:09:45 +0100

Andi Kleen wrote:
> My workstation running 2.6.24-rc8 just hung during shutdown with an endless 
> (or rather I didn't wait more than a few minutes) loop of 
> 
> unregister_netdev: waiting for ppp-device to become free. Usage count = 1
> 
> ppp-device was an active PPPoE device.
> 
> No more information currently.
> 
> -Andi
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 

I think this bug has been identified.

[Bug 9778] New: unregister_netdevice: waiting for [device] to become free

Thanks.
   -- Daniel